Index: examples/Makefile
===================================================================
--- examples/Makefile	(revision 12527)
+++ examples/Makefile	(working copy)
@@ -36,11 +36,38 @@
       tree-of-tables$(EXEEXT) \
       wizard-simple$(EXEEXT)
 
+# OPENGL3 EXAMPLES
+#     XXX: Currently left out of the default build until proper build-time
+#     detection to the examples to are added, e.g. popping a dialog if either
+#     !HAVE_GL or GLEW libs are not present.
+#
+OPENGL3_EXAMPLES = \
+      OpenGL3test$(EXEEXT) \
+      OpenGL3-glut-test$(EXEEXT)
+
 # default target -- build everything
 default all: $(ALL)
 
+# XXX: This can be built with 'make OpenGL3test', assuming fltk was built
+#      with --enable-gl and GLEW development installed.
+#
+OpenGL3test$(EXEEXT): OpenGL3test.cxx
+	@echo "*** Compile $<..."
+	$(CXX) -I.. $(CXXFLAGS) -c $< -o OpenGL3test.o
+	@echo "*** Linking $@..."
+	$(CXX) OpenGL3test.o $(LINKFLTK_ALL) -lGLEW -o $@
+
+# XXX: This can be built with 'make OpenGL3-glut-test', assuming fltk
+#      was built with --enable-gl and glut installed, and GLEW present on Apple builds.
+#
+OpenGL3-glut-test$(EXEEXT): OpenGL3-glut-test.cxx
+	@echo "*** Compile $<..."
+	$(CXX) -I.. $(CXXFLAGS) -c $< -o OpenGL3-glut-test.o
+	@echo "*** Linking $@..."
+	$(CXX) OpenGL3-glut-test.o $(LINKFLTK_ALL) -lGLEW -lglut -o $@
+
 # clean everything
 clean:
-	$(RM) $(ALL)
+	$(RM) $(ALL) $(OPENGL3_EXAMPLES)
 	$(RM) *.o
 	$(RM) core
